Package org.apache.tomcat.websocket

## Class Util.DecoderMatch

- java.lang.Object
- - org.apache.tomcat.websocket.Util.DecoderMatch

- Enclosing class:
    Util

      public static class Util.DecoderMatch
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecoderMatch​(java.lang.Class<?> target, java.util.List<DecoderEntry> decoderEntries)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.Class<? extends Decoder>>` | `getBinaryDecoders()` |
    `java.lang.Class<?>` | `getTarget()` |
    `java.util.List<java.lang.Class<? extends Decoder>>` | `getTextDecoders()` |
    `boolean` | `hasMatches()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderMatch

          public DecoderMatch​(java.lang.Class<?> target,
                              java.util.List<DecoderEntry> decoderEntries)

  - ### Method Detail

    - #### getTextDecoders

          public java.util.List<java.lang.Class<? extends Decoder>> getTextDecoders()

    - #### getBinaryDecoders

          public java.util.List<java.lang.Class<? extends Decoder>> getBinaryDecoders()

    - #### getTarget

          public java.lang.Class<?> getTarget()

    - #### hasMatches

          public boolean hasMatches()